#include <iostream>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
    int r;
    int s;
    bool p = false;
    for(int i=0; i<n; i++)
    {
        int a;
        cin>>a;
        if(i==0)
            s=a;
        if(a==k)
            p = true;
        else if(p)
        {
            r = a;
            p=false;
        }
    }
    if(p)
        r=s;
    cout<<r;
    return 0;
}